question about software versions

Hondata model coverage & ECU application questions.
Post Reply
vchawk2003
Posts: 2
Joined: Sat Sep 15, 2012 7:01 pm

question about software versions

Post by vchawk2003 » Sat Sep 15, 2012 7:14 pm

im new to the jdm scene. and i got a few questions about my civic. im pretty familiar with vdubs and audis so i have an some mechanical knowledge about tuner cars. the guy i bought the car from told me it had a k-pro ecu and i could just dnld the software to my pc and hook it up to the car, but he said it had to be the version 3.0.3 or it will screw up the car. this doesnt seem likely because im not changing the programming on the ecu just the software version but i want to be sure because the tune on the car is custom. i know on my euro cars ive had the software versions were all compatable with eachother. the car is a 2001 civic ex with a k20a2 swap. any input would be awesome. thanks

User avatar
Spunkster
Site Admin
Posts: 17658
Joined: Fri Sep 20, 2002 5:06 pm
Location: Hondata
Contact:

Re: question about software versions

Post by Spunkster » Mon Sep 17, 2012 9:24 am

You should always use the most recent version of software available on our website.

Post Reply